
// ##################################################################################################
// Die Datei global.js enthält alle Funktionen und Konstanten, die für die gesamte Anwendung gelten.
// ##################################################################################################


// ##################################################################################################
// Hier werden die benötigten globalen Variablen definiert
// ##################################################################################################


var ziel            = 1;        // Globale Variable, die den derzeitigen Namen der im Objektframe geladenen
                                // Seite beinhaltet. Beim Programmstart wird er mit 1 belegt.
                                
var bereitsbeendet  = false;    // Wenn die Dokumetntation beednet wird, dann kann es passieren, dass
                                // mehrmals versucht wird, ein Popupfenster zu schliessen. Deshalb
                                // wird beim Beenden die Variable bereitsbeendet auf true gesetzt, wenn
                                // die Funktion zum schließen das erste mal aufgerufen wird.
                                
var fensteroffen    = false;    // Standardwert ist false. Wird in der HTML-Präsentation ein PopUp Fenster
                                // geöffnet wird der Wert auf true gesetzt

var ersteSeite      =   1;      // Enthält den Index/Namen der ersten Seite -> 1.htm

var letzteSeite     =   90;     // Enthält den Index/Namen der letzten anzuzeigenden Seite -> x.htm

var Wordziel            = "";   // Enthält den komplette Namen der HTML-Seite, die ins Popup-Fenster
                                // geladen werden muss, wenn Word geklickt wird
                                
var Excelziel           = "";   // Enthält den komplette Namen der HTML-Seite, die ins Popup-Fenster
                                // geladen werden muss, wenn Excel geklickt wird

var Externziel          = "";   // Enthält die Internetadresse eines Externen Links z.b:
                                // www.smauch.de ;-)
                                
var DokumentWahlzeigen  = false;    // Diese Variable bestimmt, ob dei Dokumentwahl im Popup-Fenster
                                    // gezeigt wird oder nicht

var PopupOffen          = false;    // Der Wert dieser Variable sagt aus, ob ein Popup-Fenster geöffnet
                                    // ist, oder nicht

var AnzahlPseiten       = 56;       // Anzahl der Popuplinks



// Hier werden die Grafiken für die Buttons definiert.

    var Pfeil_Li_Do_aktiv       =   new Image();
	Pfeil_Li_Do_aktiv.src       =   "../../global/grafik/doppellinks_blau.jpg";
	var Pfeil_Li_Do_inaktiv     =   new Image();
	Pfeil_Li_Do_inaktiv.src     =   "../../global/grafik/doppellinks.jpg";	
	var Pfeil_Li_aktiv          =   new Image();
	Pfeil_Li_aktiv.src          =   "../../global/grafik/pfeillinks_blau.jpg";
	var Pfeil_Li_inaktiv		=	new Image();
	Pfeil_Li_inaktiv.src		=   "../../global/grafik/pfeillinks.jpg";
	var Pfeil_Re_aktiv          =   new Image();
	Pfeil_Re_aktiv.src          =   "../../global/grafik/pfeilrechts_blau.jpg";
	var Pfeil_Re_inaktiv        =   new Image();
	Pfeil_Re_inaktiv.src        =   "../../global/grafik/pfeilrechts.jpg";
	var Pfeil_Re_Do_aktiv       =   new Image();
	Pfeil_Re_Do_aktiv.src       =   "../../global/grafik/doppelrechts_blau.jpg";
	var Pfeil_Re_Do_inaktiv     =   new Image();
	Pfeil_Re_Do_inaktiv.src     =   "../../global/grafik/doppelrechts.jpg";
	var startseite_aktiv        =   new Image();
	startseite_aktiv.src        =   "../../global/grafik/startseite_blau.jpg";
	var startseite_inaktiv      =   new Image();
	startseite_inaktiv.src      =   "../../global/grafik/startseite.jpg";
	var beenden_aktiv           =   new Image();
	beenden_aktiv.src           =   "../../global/grafik/beenden_blau.jpg";
	var beenden_inaktiv         =   new Image();
	beenden_inaktiv.src         =   "../../global/grafik/beenden.jpg";
	var drucken_aktiv           =   new Image();
	drucken_aktiv.src           =   "../../global/grafik/drucken_blau.jpg";
	var drucken_inaktiv         =   new Image();
	drucken_inaktiv.src         =   "../../global/grafik/drucken.jpg";


// Hier werden die plus/minus Grafiken definiert

    var plusimage       =   new Image();
	plusimage.src       =   "../../global/grafik/plus.gif";
	var minusimage      =   new Image();
	minusimage.src      =   "../../global/grafik/minus.gif";	
	
	
	
	
// ##################################################################################################
// Beginn Funktionen
// ##################################################################################################


// Die Funktion wechselt die Farbe der Buttons im Navigationsframe beim MouseOver und onMouseOut

function Buttonwechsel(bwBildnummer, bwGrafik)
    {
    window.document.images[bwBildnummer].src =  bwGrafik.src;
    }// function Buttonwechsel(bwBildnummer, bwGrafik)



// Die Funktion beendet das Programm beim Anklicken des Beenden Buttons im Navigationsframe

function beenden()
    {
    // Ein eventuell noch offenes Popupfenster schliessen 
    if (fensteroffen == true)
        {
        PopUpFenster.auswahl.ApplikationBeenden();
        popupschliessen();
        bereitsbeendet = true;
        }
    
    parent.self.close();
    parent.opener.parent.close();
    }// function beenden ()



// Die Funktion ruft die Startseite (start.htm im root-Verzeichnis)durch klicken des Startseite 
// Buttons im Navigationsframe

function startseite()
    {
    // Ein eventuell noch offenes Popupfenster schliessen
    if (fensteroffen == true)
        {
        PopUpFenster.auswahl.ApplikationBeenden();
        popupschliessen();
        bereitsbeendet = true;
        }
            
    parent.opener.focus();
    parent.close();
    }// function startseite()

// Meldung "Druckanleitung"
function drucken()
    {
    
    alert("Klicken Sie zum Drucken mit der rechten Maustaste in das Fenster und wählen Sie drucken.\nRight click into the window and choose print.");
        
    }	    

// Meldung Exceltool
function ToolNachricht(tnSprache)
    {
    if (tnSprache == 'd')
        {
        alert("Zur Anwendung der Checklisten Master File bitte die Datei Masterfile.xls\n von der CD-ROM in einen Ordner Ihrer Wahl kopieren und den Schreibschutz aufheben\n <<rechte Maustaste, Eigenschaften, Allgemein, Schreibschutz aufheben>>");
        }
    else
        {
        alert("To use the Checklist tables Master File please copy the Masterfile.xls\n into a folder of your choice and deactivate the writeprotection\n <<right klick, properties, generell, deactivate write protection >>");
        }
    }
    

// ****************************************************************************
// ****************************************************************************
// ****************************************************************************
/*  
    Popup Modul
    Enthält Funktionen und Konstanten für die Popupfenster der Präsentation
*/
// ****************************************************************************
// ****************************************************************************
// ****************************************************************************

/*  
    Array für die Verwaltung der Popup-Seiten
    Das Array enthält verschiedene Informationen zu den einzelnen Seiten:
    Word   -> den Dateinamen der zu ladenden Word-Seite
    
    Excel  -> den Dateinamen der zu ladenden Excel-Seite

    Verwendung:
        Seiten[x]   = new Array(Word, Excel);
*/ 

var PopSeiten       = new Array(AnzahlPseiten);

PopSeiten[0]        = new Array("",			 "",        "");
PopSeiten[1]        = new Array("51.htm",	 "",        "");
PopSeiten[2]        = new Array("33a.htm",	 "",        "");
PopSeiten[3]        = new Array("54.htm",	 "",        "");
PopSeiten[4]        = new Array("27a.htm",	 "",        "");
PopSeiten[5]        = new Array("49.htm",	 "",        "");
PopSeiten[6]        = new Array("34.htm",	 "",        "");
PopSeiten[7]        = new Array("26a.htm",	 "",        "");
PopSeiten[8]        = new Array("36.htm",	 "55.htm",  "");
PopSeiten[9]        = new Array("37.htm",	 "56.htm",  "");
PopSeiten[10]       = new Array("38.htm",	 "57.htm",  "");
PopSeiten[11]       = new Array("39.htm",	 "58.htm",  "");
PopSeiten[12]       = new Array("40.htm",	 "59.htm",  "");
PopSeiten[13]       = new Array("40.htm",	 "59.htm",  "");
PopSeiten[14]       = new Array("40.htm",	 "60.htm",  "");
PopSeiten[15]       = new Array("91.htm",	 "",        "");
PopSeiten[16]       = new Array("44.htm",	 "64.htm",  "");
PopSeiten[17]       = new Array("40.htm",	 "66.htm",  "");
PopSeiten[18]       = new Array("45.htm",	 "67.htm",  "");
PopSeiten[19]       = new Array("40.htm",	 "60.htm",  "");
PopSeiten[20]       = new Array("92.htm",	 "",        ""); // !!
PopSeiten[21]       = new Array("94.htm",	 "",        ""); // !!
PopSeiten[22]       = new Array("93.htm",	 "",        ""); // !!
PopSeiten[23]       = new Array("44.htm",	 "64.htm",  "");
PopSeiten[24]       = new Array("45.htm",	 "67.htm",  "");
PopSeiten[25]       = new Array("40.htm",	 "68.htm",  "");
PopSeiten[26]       = new Array("44.htm",	 "72.htm",  "");
PopSeiten[27]       = new Array("47.htm",	 "73.htm",  "");
PopSeiten[28]       = new Array("40.htm",	 "75.htm",  "");
PopSeiten[29]       = new Array("45.htm",	 "76.htm",  "");
PopSeiten[30]       = new Array("45.htm",	 "76.htm",  "");
PopSeiten[31]       = new Array("40.htm",	 "77.htm",  "");
PopSeiten[32]       = new Array("44.htm",	 "81.htm",  "");
PopSeiten[33]       = new Array("47.htm",	 "82.htm",  "");
PopSeiten[34]       = new Array("40.htm",	 "83.htm",  "");
PopSeiten[35]       = new Array("45.htm",	 "85.htm",  "");
PopSeiten[36]       = new Array("45.htm",	 "85.htm",  "");
PopSeiten[37]       = new Array("40.htm",	 "86.htm",  "");
PopSeiten[38]       = new Array("47.htm",	 "87.htm",  "");
PopSeiten[39]       = new Array("46.htm",	 "88.htm",  "");
PopSeiten[40]       = new Array("47.htm",	 "89.htm",  "");
PopSeiten[41]       = new Array("47.htm",	 "89.htm",  "");
PopSeiten[42]       = new Array("48.htm",	 "",        "");
PopSeiten[43]       = new Array("31a.htm",	 "",        "");
PopSeiten[44]       = new Array("28a.htm",   "",        "");
PopSeiten[45]       = new Array("28b.htm",   "",        "");
PopSeiten[46]       = new Array("51.htm",    "",        "");
PopSeiten[47]       = new Array("",          "",        "http://www.msr-wg.de");
PopSeiten[48]       = new Array("",          "",        "http://www.bosch.de/");
PopSeiten[49]       = new Array("",          "",        "http://www.hella.de/");
PopSeiten[50]       = new Array("",          "",        "http://www.bmw.com");
PopSeiten[51]       = new Array("",          "",        "http://www.siemensauto.com/");
PopSeiten[52]       = new Array("",          "",        "http://www.daimlerchrysler.com/");
PopSeiten[53]       = new Array("",          "",        "http://www.vw-online.com/");
PopSeiten[54]       = new Array("",          "",        "http://www.iao.fhg.de");
PopSeiten[55]       = new Array("54.htm",    "",        "");


// Mit der Variable index wird der Index für das PopSeiten Array mitgeliefert. Die Funktion ermittelt
// dann, ob es mehrere Dokumente zum Anzeigen gibt. Ist dies der Fall, wird im Popupfenster die
// "Dokumentauswahl" angezeigt. Ansonsten wird das einzige Dokument sofort geladen.

function popup(puindex)
	{
	
//alert(puindex);	
	
	popupschliessen();
    Wordziel    =   PopSeiten[puindex][0];
    Excelziel   =   PopSeiten[puindex][1];
    Externziel  =   PopSeiten[puindex][2];


    if (Externziel == "")
        {
        if ((Wordziel != "") && (Excelziel != ""))
            {
            DokumentWahlzeigen    = true;
            }
        else
            {
            DokumentWahlzeigen    = false;
            }// if ((Wordziel != "") && (Excelziel != ""))
        
        if(puindex == 15)
            {
            PopUpFenster = open("../popup.htm","PopUpFenster","width=574,height=308,resizable=yes");
            }
        else
            {
            PopUpFenster = open("../popup.htm","PopUpFenster","width=450,height=500,resizable=yes");
            }// if(puindex == 15)
        }
    else
        {
        ExtFenster = open(Externziel, "Link", "fullscreen=no,width=800,height=600,resizable=yes,scrollbars=yes");
        }// if (Externziel == "")

	}// function popup(puindex)
	
	

// Die Funktion schliesst automatisch das PopUpFenster, wenn auf den Navigation- den Objekt- oder den
// Strukturframe geklickt wird. Dazu muss mit Body onClick die Funktion im Navigation, im Struktur, 
// sowie in allen in den Objektframe geladenen Seiten eingefügt sein.

function popupschliessen()
    {
    if (fensteroffen == true)
	    {
		PopUpFenster.close();
		PopupOffen = false;
	    }
	}// function popupschliessen ()




// ****************************************************************************
// ****************************************************************************
// ****************************************************************************
/*  
    Kapitel Modul
    Enthält Funktionen und Konstanten für Kapitelsprungfunktionalität und die 
    Darstellung des Strukturframes
*/
// ****************************************************************************
// ****************************************************************************
// ****************************************************************************

/*  
    Array für die Navigation
    Das Array enthält verschiedene Informationen zu den einzelnen Seiten:
    Ist 1     -> Für die Kapitelsprungfunktion des Navigationsframes
                        1 = Oberkapitel, 0 = normales Kapitel
    Dokument            -> In welchen 'Dokumentblock' gehört die Seite
                        'HTML' , 'Word', 'Excel'
    Kapitelx            -> In welchem Kapitel ist diese Seite enthalten
                        '' -> keine Untermenues
    Plusx               -> Hat diese Kapitel ein Plus-Zeichen -> ID
    Verwendung:
        Seiten[x]   = new Array(Ist 1, 'Dokument', 'Kapitel1', 'Kapitel2', 'Plusx');
*/  


var Seiten          =   new Array(letzteSeite+1);

Seiten[1]   =   new Array(1, 'HTML', '', '', '');
Seiten[2]   =   new Array(1, 'HTML', 'MSREinfuehrung', '', 'plus1');
Seiten[3]   =       new Array(0, 'HTML', 'MSREinfuehrung', '', '');
Seiten[4]   =   new Array(1, 'HTML', 'MEPROEinfuehrung', '', 'plus2');
Seiten[5]   =       new Array(0, 'HTML', 'MEPROEinfuehrung', '', '');
Seiten[6]   =       new Array(0, 'HTML', 'MEPROEinfuehrung', '', '');
Seiten[7]   =       new Array(0, 'HTML', 'MEPROEinfuehrung', '', '');
Seiten[8]   =   new Array(1, 'HTML', 'MEPROErgebnisse', '', 'plus3');
Seiten[9]   =       new Array(0, 'HTML', 'MEPROErgebnisse', '', '');
Seiten[10]  =       new Array(0, 'HTML', 'MEPROErgebnisse', '', '');
Seiten[11]  =   new Array(1, 'HTML', 'MEPROErgebnisse', 'MEPROProzessmodell', 'plus4');
Seiten[12]  =       new Array(0, 'HTML', 'MEPROErgebnisse', 'MEPROProzessmodell', '');
Seiten[13]  =       new Array(0, 'HTML', 'MEPROErgebnisse', 'MEPROProzessmodell', '');
Seiten[14]  =       new Array(0, 'HTML', 'MEPROErgebnisse', 'MEPROProzessmodell', '');
Seiten[15]  =       new Array(0, 'HTML', 'MEPROErgebnisse', 'MEPROProzessmodell', '');
Seiten[16]  =       new Array(0, 'HTML', 'MEPROErgebnisse', 'MEPROProzessmodell', '');
Seiten[17]  =       new Array(0, 'HTML', 'MEPROErgebnisse', 'MEPROProzessmodell', '');
Seiten[18]  =       new Array(0, 'HTML', 'MEPROErgebnisse', 'MEPROProzessmodell', '');
Seiten[19]  =   new Array(1, 'HTML', 'MEPROErgebnisse', 'ReferenzpunktMethodik', 'plus5');
Seiten[20]  =       new Array(0, 'HTML', 'MEPROErgebnisse', 'ReferenzpunktMethodik', '');
Seiten[21]  =       new Array(0, 'HTML', 'MEPROErgebnisse', 'ReferenzpunktMethodik', '');
Seiten[22]  =       new Array(0, 'HTML', 'MEPROErgebnisse', 'ReferenzpunktMethodik', '');

Seiten[23]  =   new Array(1, 'Word', '', '', '');
Seiten[24]  =   new Array(1, 'Word', '', '', '');
Seiten[25]  =   new Array(1, 'Word', 'Prozessszenario', '', 'plus6');
Seiten[26]  =       new Array(0, 'Word', 'Prozessszenario', '', '');
Seiten[27]  =       new Array(0, 'Word', 'Prozessszenario', '', '');
Seiten[28]  =   new Array(1, 'Word', '', '', '');
Seiten[29]  =   new Array(1, 'Word', 'Referenzpunkte', '', 'plus7');
Seiten[30]  =       new Array(0, 'Word', 'Referenzpunkte', '', '');
Seiten[31]  =       new Array(0, 'Word', 'Referenzpunkte', '', '');
Seiten[32]  =   new Array(1, 'Word', 'Prozessmodell', '', 'plus8');
Seiten[33]  =       new Array(0, 'Word', 'Prozessmodell', '', '');
Seiten[34]  =       new Array(0, 'Word', 'Prozessmodell', '', '');
Seiten[35]  =   new Array(1, 'Word', 'ReferenzpunktBeschreibungen', '', 'plus9');
Seiten[36]  =       new Array(0, 'Word', 'ReferenzpunktBeschreibungen', '', '');
Seiten[37]  =       new Array(0, 'Word', 'ReferenzpunktBeschreibungen', '', '');
Seiten[38]  =       new Array(0, 'Word', 'ReferenzpunktBeschreibungen', '', '');
Seiten[39]  =       new Array(0, 'Word', 'ReferenzpunktBeschreibungen', '', '');
Seiten[40]  =       new Array(0, 'Word', 'ReferenzpunktBeschreibungen', '', '');
Seiten[41]  =       new Array(0, 'Word', 'ReferenzpunktBeschreibungen', '', '');
Seiten[42]  =       new Array(0, 'Word', 'ReferenzpunktBeschreibungen', '', '');
Seiten[43]  =       new Array(0, 'Word', 'ReferenzpunktBeschreibungen', '', '');
Seiten[44]  =       new Array(0, 'Word', 'ReferenzpunktBeschreibungen', '', '');
Seiten[45]  =       new Array(0, 'Word', 'ReferenzpunktBeschreibungen', '', '');
Seiten[46]  =       new Array(0, 'Word', 'ReferenzpunktBeschreibungen', '', '');
Seiten[47]  =       new Array(0, 'Word', 'ReferenzpunktBeschreibungen', '', '');
Seiten[48]  =       new Array(0, 'Word', 'ReferenzpunktBeschreibungen', '', '');
Seiten[49]  =   new Array(1, 'Word', '', '', '');
Seiten[50]  =   new Array(1, 'Word', 'MEPRODokumentation', '', 'plus10');
Seiten[51]  =       new Array(0, 'Word', 'MEPRODokumentation', '', '');
Seiten[52]  =       new Array(0, 'Word', 'MEPRODokumentation', '', '');
Seiten[53]  =   new Array(1, 'Word', '', '', '');
Seiten[54]  =   new Array(1, 'Word', '', '', '');

Seiten[55]  =   new Array(1, 'Excel', 'AB', '', 'plus11');
Seiten[56]  =       new Array(0, 'Excel', 'AB', '', '');
Seiten[57]  =       new Array(0, 'Excel', 'AB', '', '');
Seiten[58]  =       new Array(0, 'Excel', 'AB', '', '');
Seiten[59]  =       new Array(0, 'Excel', 'AB', '', '');
Seiten[60]  =   new Array(1, 'Excel', 'BC', '', 'plus12');
Seiten[61]  =       new Array(0, 'Excel', 'BC', '', '');
Seiten[62]  =       new Array(0, 'Excel', 'BC', '', '');
Seiten[63]  =       new Array(0, 'Excel', 'BC', '', '');
Seiten[64]  =       new Array(0, 'Excel', 'BC', '', '');
Seiten[65]  =       new Array(0, 'Excel', 'BC', '', '');
Seiten[66]  =       new Array(0, 'Excel', 'BC', '', '');
Seiten[67]  =       new Array(0, 'Excel', 'BC', '', '');
Seiten[68]  =   new Array(1, 'Excel', 'CD', '', 'plus13');
Seiten[69]  =       new Array(0, 'Excel', 'CD', '', '');
Seiten[70]  =       new Array(0, 'Excel', 'CD', '', '');
Seiten[71]  =       new Array(0, 'Excel', 'CD', '', '');
Seiten[72]  =       new Array(0, 'Excel', 'CD', '', '');
Seiten[73]  =       new Array(0, 'Excel', 'CD', '', '');
Seiten[74]  =       new Array(0, 'Excel', 'CD', '', '');
Seiten[75]  =       new Array(0, 'Excel', 'CD', '', '');
Seiten[76]  =       new Array(0, 'Excel', 'CD', '', '');
Seiten[77]  =   new Array(1, 'Excel', 'DE', '', 'plus14');
Seiten[78]  =       new Array(0, 'Excel', 'DE', '', '');
Seiten[79]  =       new Array(0, 'Excel', 'DE', '', '');
Seiten[80]  =       new Array(0, 'Excel', 'DE', '', '');
Seiten[81]  =       new Array(0, 'Excel', 'DE', '', '');
Seiten[82]  =       new Array(0, 'Excel', 'DE', '', '');
Seiten[83]  =       new Array(0, 'Excel', 'DE', '', '');
Seiten[84]  =       new Array(0, 'Excel', 'DE', '', '');
Seiten[85]  =       new Array(0, 'Excel', 'DE', '', '');
Seiten[86]  =   new Array(1, 'Excel', 'EF', '', 'plus15');
Seiten[87]  =       new Array(0, 'Excel', 'EF', '', '');
Seiten[88]  =       new Array(0, 'Excel', 'EF', '', '');
Seiten[89]  =       new Array(0, 'Excel', 'EF', '', '');

Seiten[90]  =   new Array(1, 'Management', '', '', '');

// Kapitelsprungfunktionen
// liefern entweder die Nummer der Seite oder aber den String 'Ende', wenn vor/nach dem aktuellen
// Kapitel kein 1 mehr folgt.

// Kapitel Weiterspringen

function Kapvor(KvaktSeite)
    {
    for(i = (KvaktSeite + 1); i <= letzteSeite; i++)
        {   
        if(Seiten[i][0] == 1)
            {
            return i;
            }// if(Seiten[i][0] == parseInt(1))
        }// for(i = (KvaktSeite + 1); i <= letzteSeite; i++)
    return 'Ende';
    }// function Kapvor(aktSeite)



// Kapitel Zurückspringen

function Kapzurueck(KzaktSeite)
    {
    for(i = (KzaktSeite - 1); i > 0; i--)
        {
        if(Seiten[i][0] == 1)
            {
           return i;
            }// if(Seiten[i][0] == parseInt(1))
        }// for(i = (KzaktSeite - 1); i > 0; i--)
    return 'Ende';
    }// function Kapzurueck(KzaktSeite)



// Struktur auf-/zuklappen

function MakeStruktur(MSaktSeite)
    {
    var MSDokumentTyp = Seiten[MSaktSeite][1];
    var MSSeiteKap1   = Seiten[MSaktSeite][2];
    var MSSeiteKap2   = Seiten[MSaktSeite][3];

    switch(MSDokumentTyp)
        {
        case "HTML":
            parent.struktur.document.all.HTML.style.display='';
            parent.struktur.document.all.Word.style.display='none';
            parent.struktur.document.all.Excel.style.display='none';
            parent.struktur.document.all.Management.style.display='none';

            TMPkap1 = "TMPkap1";
            TMPkap2 = "TMPkap2";
            
            for(MSs = 1; MSs <= (letzteSeite); MSs++)
                {
                if(Seiten[MSs][1] == MSDokumentTyp)                    
                    {
                // Benötigtes Kapitel 1 einblenden
                    if((Seiten[MSs][2] == MSSeiteKap1) && (Seiten[MSs][2] != "") && (Seiten[MSs][2] != TMPkap1))
                        {
                        TMPkap1 = Seiten[MSs][2];
                        eval("parent.struktur.document.all." + Seiten[MSs][2] + ".style.display='';")
                        if (Seiten[MSs][4] != "")
                            {
                            eval("parent.struktur.document.all." + Seiten[MSs][4] + " .src = minusimage.src;")
                            }// if (Seiten[MSs][4] != "")
                        }// if((Seiten[MSs][2] == MSSeiteKap1) && (Seiten[MSs][2] != "") && (Seiten[MSs][2] != TMPkap))
                        
                // Nicht benötigte Kapitel 1 ausblenden
                    if((Seiten[MSs][2] != MSSeiteKap1) && (Seiten[MSs][2] != "") && (Seiten[MSs][2] != TMPkap1))
                        {
                        TMPkap1 = Seiten[MSs][2];
                        eval("parent.struktur.document.all." + Seiten[MSs][2] + ".style.display='none';")
                        if (Seiten[MSs][4] != "")
                            {
                            eval("parent.struktur.document.all." + Seiten[MSs][4] + " .src = plusimage.src;")
                            }// if (Seiten[MSs][4] != "")
                        }// if((Seiten[MSs][2] != MSSeiteKap1) && (Seiten[MSs][2] != "") && (Seiten[MSs][2] != TMPkap))

                // Benötigtes Kapitel 2 einblenden
                    if((Seiten[MSs][3] == MSSeiteKap2) && (Seiten[MSs][3] != "") && (Seiten[MSs][2] != TMPkap2))
                        {
                        TMPkap2 = Seiten[MSs][3];
                        eval("parent.struktur.document.all." + Seiten[MSs][3] + ".style.display='';")
                        if (Seiten[MSs][4] != "")
                            {
                            eval("parent.struktur.document.all." + Seiten[MSs][4] + " .src = minusimage.src;")
                            }// if (Seiten[MSs][4] != "")
                        }// if((Seiten[MSs][3] == MSSeiteKap2) && (Seiten[MSs][3] != "") && (Seiten[MSs][2] != TMPkap))
                        
                // Nicht benötigte Kapitel 2 ausblenden
                    if((Seiten[MSs][3] != MSSeiteKap2) && (Seiten[MSs][3] != "") && (Seiten[MSs][2] != TMPkap2))
                        {
                        TMPkap2 = Seiten[MSs][3];
                        eval("parent.struktur.document.all." + Seiten[MSs][3] + ".style.display='none';")
                        if (Seiten[MSs][4] != "")
                            {
                            eval("parent.struktur.document.all." + Seiten[MSs][4] + " .src = plusimage.src;")
                            }// if (Seiten[MSs][4] != "")
                        }// if((Seiten[MSs][3] != MSSeiteKap2) && (Seiten[MSs][3] != "") && (Seiten[MSs][2] != TMPkap))

                    }// if(Seiten[MSs][1] == MSDokumentTyp)
                }// for(MSs = 1; MSs <= (letzteSeite-1); MSs++)
            break;

        case "Word":
            parent.struktur.document.all.Word.style.display='';
            parent.struktur.document.all.HTML.style.display='none';
            parent.struktur.document.all.Excel.style.display='none';
            parent.struktur.document.all.Management.style.display='none';

            TMPkap1 = "TMPkap1";
            TMPkap2 = "TMPkap2";
            
            for(MSs = 1; MSs <= (letzteSeite); MSs++)
                {
                if(Seiten[MSs][1] == MSDokumentTyp)                    
                    {
                // Benötigtes Kapitel 1 einblenden
                    if((Seiten[MSs][2] == MSSeiteKap1) && (Seiten[MSs][2] != "") && (Seiten[MSs][2] != TMPkap1))
                        {
                        TMPkap1 = Seiten[MSs][2];
                        eval("parent.struktur.document.all." + Seiten[MSs][2] + ".style.display='';")
                        if (Seiten[MSs][4] != "")
                            {
                            eval("parent.struktur.document.all." + Seiten[MSs][4] + " .src = minusimage.src;")
                            }// if (Seiten[MSs][4] != "")
                        }// if((Seiten[MSs][2] == MSSeiteKap1) && (Seiten[MSs][2] != "") && (Seiten[MSs][2] != TMPkap))
                        
                // Nicht benötigte Kapitel 1 ausblenden
                    if((Seiten[MSs][2] != MSSeiteKap1) && (Seiten[MSs][2] != "") && (Seiten[MSs][2] != TMPkap1))
                        {
                        TMPkap1 = Seiten[MSs][2];
                        eval("parent.struktur.document.all." + Seiten[MSs][2] + ".style.display='none';")
                        if (Seiten[MSs][4] != "")
                            {
                            eval("parent.struktur.document.all." + Seiten[MSs][4] + " .src = plusimage.src;")
                            }// if (Seiten[MSs][4] != "")
                        }// if((Seiten[MSs][2] != MSSeiteKap1) && (Seiten[MSs][2] != "") && (Seiten[MSs][2] != TMPkap))

                // Benötigtes Kapitel 2 einblenden
                    if((Seiten[MSs][3] == MSSeiteKap2) && (Seiten[MSs][3] != "") && (Seiten[MSs][2] != TMPkap2))
                        {
                        TMPkap2 = Seiten[MSs][3];
                        eval("parent.struktur.document.all." + Seiten[MSs][3] + ".style.display='';")
                        if (Seiten[MSs][4] != "")
                            {
                            eval("parent.struktur.document.all." + Seiten[MSs][4] + " .src = minusimage.src;")
                            }// if (Seiten[MSs][4] != "")
                        }// if((Seiten[MSs][3] == MSSeiteKap2) && (Seiten[MSs][3] != "") && (Seiten[MSs][2] != TMPkap))
                        
                // Nicht benötigte Kapitel 2 ausblenden
                    if((Seiten[MSs][3] != MSSeiteKap2) && (Seiten[MSs][3] != "") && (Seiten[MSs][2] != TMPkap2))
                        {
                        TMPkap2 = Seiten[MSs][3];
                        eval("parent.struktur.document.all." + Seiten[MSs][3] + ".style.display='none';")
                        if (Seiten[MSs][4] != "")
                            {
                            eval("parent.struktur.document.all." + Seiten[MSs][4] + " .src = plusimage.src;")
                            }// if (Seiten[MSs][4] != "")
                        }// if((Seiten[MSs][3] != MSSeiteKap2) && (Seiten[MSs][3] != "") && (Seiten[MSs][2] != TMPkap))

                    }// if(Seiten[MSs][1] == MSDokumentTyp)
                }// for(MSs = 1; MSs <= (letzteSeite-1); MSs++)
            break;

        case "Excel":
            parent.struktur.document.all.Excel.style.display='';
            parent.struktur.document.all.Word.style.display='none';
            parent.struktur.document.all.HTML.style.display='none';
            parent.struktur.document.all.Management.style.display='none';

            TMPkap1 = "TMPkap1";
            TMPkap2 = "TMPkap2";
            
            for(MSs = 1; MSs <= (letzteSeite); MSs++)
                {
                if(Seiten[MSs][1] == MSDokumentTyp)                    
                    {
                // Benötigtes Kapitel 1 einblenden
                    if((Seiten[MSs][2] == MSSeiteKap1) && (Seiten[MSs][2] != "") && (Seiten[MSs][2] != TMPkap1))
                        {
                        TMPkap1 = Seiten[MSs][2];
                        eval("parent.struktur.document.all." + Seiten[MSs][2] + ".style.display='';")
                        if (Seiten[MSs][4] != "")
                            {
                            eval("parent.struktur.document.all." + Seiten[MSs][4] + " .src = minusimage.src;")
                            }// if (Seiten[MSs][4] != "")
                        }// if((Seiten[MSs][2] == MSSeiteKap1) && (Seiten[MSs][2] != "") && (Seiten[MSs][2] != TMPkap))
                        
                // Nicht benötigte Kapitel 1 ausblenden
                    if((Seiten[MSs][2] != MSSeiteKap1) && (Seiten[MSs][2] != "") && (Seiten[MSs][2] != TMPkap1))
                        {
                        TMPkap1 = Seiten[MSs][2];
                        eval("parent.struktur.document.all." + Seiten[MSs][2] + ".style.display='none';")
                        if (Seiten[MSs][4] != "")
                            {
                            eval("parent.struktur.document.all." + Seiten[MSs][4] + " .src = plusimage.src;")
                            }// if (Seiten[MSs][4] != "")
                        }// if((Seiten[MSs][2] != MSSeiteKap1) && (Seiten[MSs][2] != "") && (Seiten[MSs][2] != TMPkap))

                // Benötigtes Kapitel 2 einblenden
                    if((Seiten[MSs][3] == MSSeiteKap2) && (Seiten[MSs][3] != "") && (Seiten[MSs][2] != TMPkap2))
                        {
                        TMPkap2 = Seiten[MSs][3];
                        eval("parent.struktur.document.all." + Seiten[MSs][3] + ".style.display='';")
                        if (Seiten[MSs][4] != "")
                            {
                            eval("parent.struktur.document.all." + Seiten[MSs][4] + " .src = minusimage.src;")
                            }// if (Seiten[MSs][4] != "")
                        }// if((Seiten[MSs][3] == MSSeiteKap2) && (Seiten[MSs][3] != "") && (Seiten[MSs][2] != TMPkap))
                        
                // Nicht benötigte Kapitel 2 ausblenden
                    if((Seiten[MSs][3] != MSSeiteKap2) && (Seiten[MSs][3] != "") && (Seiten[MSs][2] != TMPkap2))
                        {
                        TMPkap2 = Seiten[MSs][3];
                        eval("parent.struktur.document.all." + Seiten[MSs][3] + ".style.display='none';")
                        if (Seiten[MSs][4] != "")
                            {
                            eval("parent.struktur.document.all." + Seiten[MSs][4] + " .src = plusimage.src;")
                            }// if (Seiten[MSs][4] != "")
                        }// if((Seiten[MSs][3] != MSSeiteKap2) && (Seiten[MSs][3] != "") && (Seiten[MSs][2] != TMPkap))

                    }// if(Seiten[MSs][1] == MSDokumentTyp)
                }// for(MSs = 1; MSs <= (letzteSeite-1); MSs++)
            break;

        case "Management":
            parent.struktur.document.all.Management.style.display='';
            parent.struktur.document.all.Word.style.display='none';
            parent.struktur.document.all.HTML.style.display='none';
            parent.struktur.document.all.Excel.style.display='none';

            TMPkap1 = "TMPkap1";
            TMPkap2 = "TMPkap2";
            
            for(MSs = 1; MSs <= (letzteSeite); MSs++)
                {
                if(Seiten[MSs][1] == MSDokumentTyp)                    
                    {
                // Benötigtes Kapitel 1 einblenden
                    if((Seiten[MSs][2] == MSSeiteKap1) && (Seiten[MSs][2] != "") && (Seiten[MSs][2] != TMPkap1))
                        {
                        TMPkap1 = Seiten[MSs][2];
                        eval("parent.struktur.document.all." + Seiten[MSs][2] + ".style.display='';")
                        if (Seiten[MSs][4] != "")
                            {
                            eval("parent.struktur.document.all." + Seiten[MSs][4] + " .src = minusimage.src;")
                            }// if (Seiten[MSs][4] != "")
                        }// if((Seiten[MSs][2] == MSSeiteKap1) && (Seiten[MSs][2] != "") && (Seiten[MSs][2] != TMPkap))
                        
                // Nicht benötigte Kapitel 1 ausblenden
                    if((Seiten[MSs][2] != MSSeiteKap1) && (Seiten[MSs][2] != "") && (Seiten[MSs][2] != TMPkap1))
                        {
                        TMPkap1 = Seiten[MSs][2];
                        eval("parent.struktur.document.all." + Seiten[MSs][2] + ".style.display='none';")
                        if (Seiten[MSs][4] != "")
                            {
                            eval("parent.struktur.document.all." + Seiten[MSs][4] + " .src = plusimage.src;")
                            }// if (Seiten[MSs][4] != "")
                        }// if((Seiten[MSs][2] != MSSeiteKap1) && (Seiten[MSs][2] != "") && (Seiten[MSs][2] != TMPkap))

                // Benötigtes Kapitel 2 einblenden
                    if((Seiten[MSs][3] == MSSeiteKap2) && (Seiten[MSs][3] != "") && (Seiten[MSs][2] != TMPkap2))
                        {
                        TMPkap2 = Seiten[MSs][3];
                        eval("parent.struktur.document.all." + Seiten[MSs][3] + ".style.display='';")
                        if (Seiten[MSs][4] != "")
                            {
                            eval("parent.struktur.document.all." + Seiten[MSs][4] + " .src = minusimage.src;")
                            }// if (Seiten[MSs][4] != "")
                        }// if((Seiten[MSs][3] == MSSeiteKap2) && (Seiten[MSs][3] != "") && (Seiten[MSs][2] != TMPkap))
                        
                // Nicht benötigte Kapitel 2 ausblenden
                    if((Seiten[MSs][3] != MSSeiteKap2) && (Seiten[MSs][3] != "") && (Seiten[MSs][2] != TMPkap2))
                        {
                        TMPkap2 = Seiten[MSs][3];
                        eval("parent.struktur.document.all." + Seiten[MSs][3] + ".style.display='none';")
                        if (Seiten[MSs][4] != "")
                            {
                            eval("parent.struktur.document.all." + Seiten[MSs][4] + " .src = plusimage.src;")
                            }// if (Seiten[MSs][4] != "")
                        }// if((Seiten[MSs][3] != MSSeiteKap2) && (Seiten[MSs][3] != "") && (Seiten[MSs][2] != TMPkap))

                    }// if(Seiten[MSs][1] == MSDokumentTyp)
                }// for(MSs = 1; MSs <= (letzteSeite-1); MSs++)
            break;

        }// switch MSDokumentTyp

    }// function MakeStruktur(MSaktSeite)



// Die Funktion Blaettern wird von den Vor-/Zurück-Knöpfen des Navigationframes benutzt. Die Ziele
// werden dabei gleich auf Plausibilität überprüft (Überlauf)

function Blaettern(Bschritt)
    {
    var wechsle_zu = 0;    
    var sprung_ok = true;
    wechsle_zu = parseInt(ziel) + parseInt(Bschritt);

    if(wechsle_zu < parseInt(ersteSeite))
        {
        alert("Sie befinden sich bereits am Anfang des Dokuments!");
        parent.objekt.location.href = "html/1.htm";
        getName(1);
        sprung_ok   =   false;
        }// if(wechsle_zu < parseInt(ersteSeite))

    if(wechsle_zu == parseInt(ersteSeite))
        {
        parent.objekt.location.href = "html/1.htm";
        sprung_ok   =   false;
        getName(1);
        }// if(wechsle_zu == parseInt(ersteSeite))
        
    if(wechsle_zu > parseInt(letzteSeite))
        {
        alert("Ende des Dokuments erreicht!");
        parent.objekt.location.href = "html/" + letzteSeite + ".htm";
        sprung_ok   =   false;
        getName(letzteSeite);
        }// if(wechsle_zu > parseInt(letzteSeite))	
		
    if(sprung_ok)
        {
        parent.objekt.location.href= "html/" + wechsle_zu + ".htm";
        getName(wechsle_zu);
        }// if(sprung_ok)
    }// function Blaettern(Bschritt)



// Diese Funktion dient zum Markieren des gewählten Punktes im Strukturframe

function getName(gNdateipfad)
    {
    ziel = gNdateipfad;
    var erstesDokument = 1;
    var letztesDokument = letzteSeite;
		
    var idName = gNdateipfad;
		
    /* Die For-Schleife setzt die "Optik" aller Menüpunkte im Strukturframe zurück */
    for(s = 1; s <= parseInt(letzteSeite); s++)
        {
	eval("parent.struktur.document.all.seite" + s + ".style.color='';")
	    }// for(s = 1; s <= parseInt(letzteSeite); s++)
    // Dieser Befehl formatiert die augenblicklich geladene Seite im Strukturframe in Rot		
        eval("parent.struktur.document.all.seite" + idName + ".style.color='RED';")
        MakeStruktur(gNdateipfad);

    }// function getName(gNdateipfad)
